Alert.AlertType (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: Alert, enum: AlertType

# Enum Class Alert.AlertType

java.lang.Object
java.lang.Enum<Alert.AlertType>
javafx.scene.control.Alert.AlertType

All Implemented Interfaces:
  `Serializable, Comparable<Alert.AlertType>, Constable`

Enclosing class:
  `Alert`

public static enum Alert.AlertType extends Enum<Alert.AlertType>
An enumeration containing the available, pre-built alert types that the `Alert` class can use to pre-populate various properties.

Since:
  JavaFX 8u40

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONFIRMATION`
  The CONFIRMATION alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is seeking confirmation from the user.
  `ERROR`
  The ERROR alert type configures the Alert dialog to appear in a way that suggests that something has gone wrong.
  `INFORMATION`
  The INFORMATION alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is informing the user of a piece of information.
  `NONE`
  The NONE alert type has the effect of not setting any default properties in the Alert.
  `WARNING`
  The WARNING alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is warning the user about some fact or action.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Alert.AlertType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Alert.AlertType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Alert.AlertType NONE
    The NONE alert type has the effect of not setting any default properties in the Alert.

  - ### INFORMATION

    public static final Alert.AlertType INFORMATION
    The INFORMATION alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is informing the user of a piece of information. This includes an 'information' image, an appropriate title and header, and just an OK button for the user to click on to dismiss the dialog.

  - ### WARNING

    public static final Alert.AlertType WARNING
    The WARNING alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is warning the user about some fact or action. This includes a 'warning' image, an appropriate title and header, and just an OK button for the user to click on to dismiss the dialog.

  - ### CONFIRMATION

    public static final Alert.AlertType CONFIRMATION
    The CONFIRMATION alert type configures the Alert dialog to appear in a way that suggests the content of the dialog is seeking confirmation from the user. This includes a 'confirmation' image, an appropriate title and header, and both OK and Cancel buttons for the user to click on to dismiss the dialog.

  - ### ERROR

    public static final Alert.AlertType ERROR
    The ERROR alert type configures the Alert dialog to appear in a way that suggests that something has gone wrong. This includes an 'error' image, an appropriate title and header, and just an OK button for the user to click on to dismiss the dialog.

- ## Method Details

  - ### values

    public static Alert.AlertType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Alert.AlertType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null